通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Rooms - Remove Participants

从会议室中删除参与者。

POST {endpoint}/rooms/{roomId}/participants:remove?api-version=2022-02-01

URI 参数

名称 必需 类型 说明
endpoint
path True

string (uri)

Azure 通信资源的终结点。

roomId
path True

string

要从中删除参与者的会议室 ID。

api-version
query True

string

要调用的 API 版本。

请求头

名称 必需 类型 说明
Authorization True

string

ACS(Azure 通信服务)用户访问令牌。

请求正文

名称 必需 类型 说明
participants True

RoomParticipant[]

要从会议室中删除的参与者。

响应

名称 类型 说明
200 OK

ParticipantsCollection

已成功删除参与者。 该操作返回已更新的参与者列表。

Other Status Codes

CommunicationErrorResponse

错误响应

标头

x-ms-error-code: string

安全性

Authorization

ACS(Azure 通信服务)用户访问令牌。

类型: apiKey
在: header

示例

Remove participant

示例请求

POST https://contoso.communication.azure.com//rooms/99199690362660524/participants:remove?api-version=2022-02-01

{
  "participants": [
    {
      "communicationIdentifier": {
        "rawId": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000666",
        "communicationUser": {
          "id": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000666"
        }
      },
      "role": "Presenter"
    }
  ]
}

示例响应

{
  "participants": [
    {
      "communicationIdentifier": {
        "rawId": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000777",
        "communicationUser": {
          "id": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000777"
        }
      },
      "role": "Attendee"
    }
  ]
}

定义

名称 说明
CommunicationIdentifierModel

标识 Azure 通信服务中的参与者。 例如,参与者是 Azure 通信用户。 此模型必须解释为联合:除了 rawId 之外,最多可以设置一个其他属性。

ParticipantsCollection

会议室中参与者的集合。

RemoveParticipantsRequest

要从会议室中删除的参与者。

RoleType

会议室参与者的角色。

RoomParticipant

会议室的参与者。

CommunicationIdentifierModel

标识 Azure 通信服务中的参与者。 例如,参与者是 Azure 通信用户。 此模型必须解释为联合:除了 rawId 之外,最多可以设置一个其他属性。

名称 类型 说明
communicationUser

CommunicationUserIdentifierModel

rawId

string

标识符的原始 ID。 请求中是可选的,响应中是必需的。

ParticipantsCollection

会议室中参与者的集合。

名称 类型 说明
participants

RoomParticipant[]

会议室参与者。

RemoveParticipantsRequest

要从会议室中删除的参与者。

名称 类型 说明
participants

RoomParticipant[]

要从会议室中删除的参与者。

RoleType

会议室参与者的角色。

说明
Presenter
Attendee
Consumer

RoomParticipant

会议室的参与者。

名称 类型 说明
communicationIdentifier

CommunicationIdentifierModel

标识 Azure 通信服务中的参与者。 例如,参与者是 Azure 通信用户。 此模型必须解释为联合:除了 rawId 之外,最多可以设置一个其他属性。

role

RoleType

会议室参与者的角色。